Uploaded image for project: 'Spark'
  1. Spark
  2. SPARK-697

Unable to load plugin TranslatorPlugin

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Cannot Reproduce
    • Affects Version/s: 2.5.1
    • Fix Version/s: None
    • Component/s: General
    • Labels:
      None

      Description

      Error while installing a Plugin.

      How to reproduce:
      Go to Spark -> Plugins -> Available Plugins -> Install a plugin

      It appears the following error. After restarting Spark everything is ok.
      Apr 12, 2007 6:50:49 PM org.jivesoftware.spark.util.log.Log error
      SEVERE: Unable to load plugin org.jivesoftware.spark.translator.TranslatorPlugin.
      java.lang.ClassNotFoundException: org.jivesoftware.spark.translator.TranslatorPlugin
      at java.net.URLClassLoader$1.run(URLClassLoader.java:200)
      at java.security.AccessController.doPrivileged(Native Method)
      at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
      at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
      at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
      at org.jivesoftware.spark.PluginManager.loadPublicPlugin(PluginManager.java:260)
      at org.jivesoftware.spark.PluginManager.addPlugin(PluginManager.java:549)
      at org.jivesoftware.sparkimpl.plugin.viewer.PluginViewer$4.run(PluginViewer.java:331)
      at java.lang.Thread.run(Thread.java:619)

        Attachments

          Activity

            People

            Assignee:
            winsrev Andrew Seymour
            Reporter:
            francisco Francisco Vives
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: